#!/usr/bin/env python

from twodes import *
import binascii
import sys

# Our IV is 5edcc504

# Instructions
# * Use the skeleton code provided here.
# * Use the DES library as shown in twodes.py
# * Use binascii's (un)hexlify to convert between bytes and hex
#   representation. We do not care if you do your comparisons on bytes
#   or hex - in our sample solution we have chosen hex for better
#   readability of debugging output. The only thing we require is that
#   the "ciphertext" input to lookupInTable() is in hex.
# * In your final solution, your last two lines that you print to the
#   screen MUST be the output of lookupInTable, exactly in the format
#   indicated!

# The following is your plaintext/ciphertext pair. We read it from 
# stdin:
plaintext = sys.argv[1]
ciphertext = sys.argv[2]

# Read in the effective keylength in number of hex digits. This value
# is either 3 or 4 in our case:
effKeyLength = sys.argv[3]

# Generate the "forward" table
# Input: plaintext in hex, effective key length in hex digits 
# (3 or 4, see above)
# Don't forget to use the IV (see above)
# Output: a representation of the forward table
def generateTable(plaintext, effKeyLength):
    ...
    return enctable


# Do the lookups.
# Input:
# * the representation of your forward table
# * the ciphertext as hex representation
# * the effective key length
# Don't forget to use the IV if you do crypto here (see above)
# Output:
# Key 1, Key 2 in *exactly* the format as below
def lookupInTable(enctable, ciphertext, effKeyLength):
    print "Key1:" + key
    print "Key2:" + key



def main():
    enctable = generateTable(plaintext, ...)
    lookupInTable(enctable, ciphertext, ...)

main()
